---
search:
  tags:
    - Redirects
    - POST
seo:
  description: >-
    Creates a new redirect mapping from an old slug to a new slug… Reference for
    the POST /api/v1/{team_slug}/{app_slug}/redirects endpoint in the Management
    API.
sidebar:
  label: Create a new redirect
  badge: POST
title: Create a new redirect
type: openapi-operation
---
Creates a new redirect mapping from an old slug to a new slug for an item or generic path

`POST /api/v1/{team_slug}/{app_slug}/redirects`

**Request body** (`application/json`, required)

Redirect payload

- `item_id` (string)
- `locale` (string, required)
- `new_slug` (string, required)
- `old_slug` (string, required)
- `type` (github_com_enadhq_nabbit_internal_pkg_webserver_models.RedirectType)

Request body example:

```json
{
  "item_id": "string",
  "locale": "string",
  "new_slug": "string",
  "old_slug": "string",
  "type": "product"
}
```

**Responses**

- `200` — Redirect created successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "id": "string",
    "item_id": "string",
    "locale": "string",
    "new_slug": "string",
    "old_slug": "string",
    "type": "product"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
